%define with_beanshell_engine   1
%define with_jelly_engine       1
%define with_jexl_engine        1
%define with_js_engine          1
%define with_velocity_engine    1
# TODO
%define with_jruby_engine       0
%define with_judo_engine        0

Name:          jsr223-scripting-engines
Version:       1.0
Release:       %mkrel 1
Summary:       Scripting Engines Implementations
Group:         Development/Java
License:       BSD
Url:           http://java.net/projects/scripting/
# cvs -d :pserver:GUEST@cvs.dev.java.net:/cvs login
# cvs -d :pserver:GUEST@cvs.dev.java.net:/cvs export -r HEAD scripting/engines
# tar czf jsr223-scripting-engines-1.0-src-cvs.tar.gz scripting
Source0:       jsr223-scripting-engines-1.0-src-cvs.tar.gz
# disable judo engines build 
Patch0:        jsr223-scripting-engines-judo-build.patch
# disable jruby engines build 
Patch1:        jsr223-scripting-engines-jruby-build.patch

BuildRequires: ant
BuildRequires: aqute-bnd
BuildRequires: bytelist
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: livetribe-jsr223
Requires:      jpackage-utils
BuildArch:     noarch

%description
The Scripting Framework also supports third-party Script
Engines that implement the JSR 223 Scripting APIs. The
primary purpose of this project is to provide ScriptEngine
implementations that developers can use in their Java
Applications. Developers can also use the Script Engines
as examples of how to implement the Scripting APIs using
their own Java-based Scripting implementations.

%if %with_beanshell_engine
%package bsh
Summary:       Beanshell Engine for %{name}
Group:         Development/Java
BuildRequires: bsh2
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      bsh2
Requires:      livetribe-jsr223

%description bsh
Scripting Engines Implementations.

This package contains the JSR-223 javax.script engine and
factory implementation for BeanShell.
%endif

%package browserjs
Summary:       Browser Javascript Engine for %{name}
Group:         Development/Java
BuildRequires: icedtea-web
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      livetribe-jsr223
Requires:      icedtea-web

%description browserjs
Scripting Engines Implementations.

This package contains JSR-223 script engine for the
native JavaScript engine embedded in web browsers.

%package freemarker
Summary:       Freemarker Engine for %{name}
Group:         Development/Java
BuildRequires: freemarker
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      freemarker
Requires:      livetribe-jsr223

%description freemarker
Scripting Engines Implementations.

This package contains JSR-223 script engine for Freemarker
general purpose template engine in Java.

%package groovy
Group:         Development/Java
Summary:       Groovy Engine for %{name}
BuildRequires: groovy
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      groovy
Requires:      livetribe-jsr223

%description groovy
Scripting Engines Implementations.

This package contains JSR-223 script engine for the
Groovy language

%package jacl
Group:         Development/Java
Summary:       Jacl Engine for %{name}
BuildRequires: jacl
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      jacl
Requires:      livetribe-jsr223

%description jacl
Scripting Engines Implementations.

This package contains JSR-223 script engine for the
Jacl language.

%package jaskell
Group:         Development/Java
Summary:       Jaskell Engine for %{name}
BuildRequires: jaskell
BuildRequires: jfunutil
BuildRequires: jparsec
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      jaskell
Requires:      livetribe-jsr223

%description jaskell
Scripting Engines Implementations.

This package contains JSR-223 script engine for the
Jaskell programming language.

%package java
Group:         Development/Java
Summary:       Java Engine for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      livetribe-jsr223

%description java
Scripting Engines Implementations.

This package contains JSR-223 script engine for "Java".
This engine uses Java Compiler API (JSR 199) to compile and
generate bytecode from Java source.

%if %with_js_engine
%package js
Group:         Development/Java
Summary:       Javascript Engine for %{name}
BuildRequires: rhino
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      rhino
Requires:      livetribe-jsr223

%description js
Scripting Engines Implementations.

This package contains JSR-223 script engine
for Rhino - Java implementation of JavaScript.
%endif

%package jawk
Group:         Development/Java
Summary:       Jawk Engine for %{name}
BuildRequires: jawk
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      jawk
Requires:      livetribe-jsr223

%description jawk
Scripting Engines Implementations.

This package contains JSR-223 script engine for the
awk language.

%if %with_js_engine
%package jelly
Group:         Development/Java
Summary:       Jelly Engine for %{name}
BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-cli
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-discovery
BuildRequires: apache-commons-jexl1
BuildRequires: apache-commons-lang
BuildRequires: apache-commons-logging
BuildRequires: dom4j
BuildRequires: forehead
BuildRequires: jakarta-commons-jelly
BuildRequires: jakarta-commons-jelly-tags-bean
BuildRequires: jakarta-commons-jelly-tags-define
BuildRequires: jakarta-commons-jelly-tags-dynabean
BuildRequires: jakarta-commons-jelly-tags-fmt
BuildRequires: jakarta-commons-jelly-tags-interaction
BuildRequires: jakarta-commons-jelly-tags-junit
BuildRequires: jakarta-commons-jelly-tags-log
BuildRequires: jakarta-commons-jelly-tags-swing
BuildRequires: jakarta-commons-jelly-tags-util
BuildRequires: jakarta-commons-jelly-tags-xml
BuildRequires: jakarta-taglibs-standard
BuildRequires: jaxen
BuildRequires: junit
BuildRequires: servletapi4
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      apache-commons-beanutils
Requires:      apache-commons-cli
Requires:      apache-commons-collections
Requires:      apache-commons-discovery
Requires:      apache-commons-jexl1
Requires:      apache-commons-lang
Requires:      apache-commons-logging
Requires:      jakarta-commons-jelly
Requires:      jakarta-commons-jelly-tags-bean
Requires:      jakarta-commons-jelly-tags-define
Requires:      jakarta-commons-jelly-tags-dynabean
Requires:      jakarta-commons-jelly-tags-fmt
Requires:      jakarta-commons-jelly-tags-interaction
Requires:      jakarta-commons-jelly-tags-junit
Requires:      jakarta-commons-jelly-tags-log
Requires:      jakarta-commons-jelly-tags-swing
Requires:      jakarta-commons-jelly-tags-util
Requires:      jakarta-commons-jelly-tags-xml
Requires:      jakarta-taglibs-standard
Requires:      dom4j
Requires:      forehead
Requires:      jaxen
Requires:      livetribe-jsr223
Requires:      servletapi4
Requires:      xerces-j2
Requires:      xml-commons-apis

%description jelly
Scripting Engines Implementations.

This package contains JSR-223 script engine for Jelly.
%endif

%package jep
Group:         Development/Java
Summary:       JEP Engine for %{name}
BuildRequires: jama
BuildRequires: jep
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      jep
Requires:      livetribe-jsr223

%description jep
Scripting Engines Implementations.

This package contains JSR-223 script engine for the
Java Math Expression Parser (JEP) language.

%if %with_jexl_engine
%package jexl
Group:         Development/Java
Summary:       Jexl Engine for %{name}
BuildRequires: apache-commons-jexl1
BuildRequires: apache-commons-logging
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      apache-commons-jexl1
Requires:      apache-commons-logging
Requires:      livetribe-jsr223

%description jexl
Scripting Engines Implementations.

This package contains JSR-223 script engine for Jexl.
%endif

%if %with_jruby_engine
%package jruby
Group:         Development/Java
Summary:       JRuby Engine for %{name}
BuildRequires: backport-util-concurrent
BuildRequires: bytelist
BuildRequires: jruby
BuildRequires: asm2
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      backport-util-concurrent
Requires:      bytelist
Requires:      livetribe-jsr223
Requires:      jruby
Requires:      asm2

%description jruby
Scripting Engines Implementations.

This package contains JSR-223 script engine for
JRuby - Java implementation of Ruby language.
%endif

%if %with_judo_engine
%package judo
Group:         Development/Java
Summary:       Judoscript Engine for %{name}
BuildRequires: judoscript
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      livetribe-jsr223
Requires:      judoscript

%description judo
Scripting Engines Implementations.

This package contains JSR-223 script engine for the
JudoScript language.
%endif

%package juel
Group:         Development/Java
Summary:       Juel Engine for %{name}
BuildRequires: juel
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      juel
Requires:      livetribe-jsr223

%description juel
Scripting Engines Implementations.

This package contains JSR-223 script engine for JUEL - Java Unified
Expression Language (JSP EL 2.1 JSR-245).

%package jython
Group:         Development/Java
Summary:       Jython Engine for %{name}
BuildRequires: jython
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      livetribe-jsr223
Requires:      jython

%description jython
Scripting Engines Implementations.

This package contains JSR-223 script engine
for Jython - Java implementation of Python.

%package ognl
Group:         Development/Java
Summary:       OGNL Engine for %{name}
BuildRequires: ognl26
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      ognl26
Requires:      livetribe-jsr223

%description ognl
Scripting Engines Implementations.

This package contains JSR-223 script engine
for OGNL - Object Graph Navigation Language.

%package pnuts
Group:         Development/Java
Summary:       Pnuts Engine for %{name}
BuildRequires: pnuts
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      livetribe-jsr223
Requires:      pnuts

%description pnuts
Scripting Engines Implementations.

This package contains JSR-223 script engine
for Pnuts scripting language.

%package scheme
Group:         Development/Java
Summary:       Scheme Engine for %{name}
BuildRequires: sisc
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      livetribe-jsr223
Requires:      sisc

%description scheme
Scripting Engines Implementations.

This package contains JSR-223 script engine
for SISC - Java implementation of Scheme language.

%if %with_velocity_engine
%package velocity
Group:         Development/Java
Summary:       Velocity Engine for %{name}
BuildRequires: velocity
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      velocity
Requires:      livetribe-jsr223

%description velocity
Scripting Engines Implementations.

This package contains JSR-223 script engine
for Velocity general purpose template
engine in Java.
%endif

%package xpath
Group:         Development/Java
Summary:       XPath Engine for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      livetribe-jsr223

%description xpath
Scripting Engines Implementations.

This package contains JSR-223 script engine for XPath.

%package xslt
Group:         Development/Java
Summary:       XSLT Engine for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      livetribe-jsr223

%description xslt
Scripting Engines Implementations.

This package contains JSR-223 script engine for XSLT.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Scripting Engines Implementations.

This package contains javadoc for %{name}.

%prep
%setup -q -n scripting

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

#  mv ./engines/bnd-0.0.249.jar ./engines/bnd-0.0.249.jar.no
ln -sf $(build-classpath aqute-bnd) bnd-0.0.249.jar
pushd scheme/lib
#  mv ./engines/scheme/lib/sisc.jar ./engines/scheme/lib/sisc.jar
  ln -sf $(build-classpath sisc) sisc.jar
#  mv ./engines/scheme/lib/sisc-lib.jar ./engines/scheme/lib/sisc-lib.jar
  ln -sf $(build-classpath sisc-lib) sisc-lib.jar
#  mv ./engines/scheme/lib/sisc-opt.jar ./engines/scheme/lib/sisc-opt.jar
  ln -sf $(build-classpath sisc-opt) sisc-opt.jar
popd
pushd groovy/lib
#  mv ./engines/groovy/lib/groovy-all-1.5.6.jar ./engines/groovy/lib/groovy-all-1.5.6.jar.no
  ln -sf $(build-classpath groovy) groovy-all-1.5.6.jar
popd
%if %with_js_engine
pushd javascript/lib
#  mv ./engines/javascript/lib/js.jar ./engines/javascript/lib/js.jar.no
  ln -sf $(build-classpath rhino) js.jar
popd
%else
# TODO
%endif
%if %with_beanshell_engine
pushd beanshell/lib
#  mv ./engines/beanshell/lib/bsh-2.0b5.jar ./engines/beanshell/lib/bsh-2.0b5.jar.no
  ln -sf $(build-classpath bsh2/bsh) bsh-2.0b5.jar
popd
%else
# TODO
%endif
%if %with_jexl_engine
pushd jexl/lib
#  mv ./engines/jexl/lib/commons-jexl-1.0.jar ./engines/jexl/lib/commons-jexl-1.0.jar.no
  ln -sf $(build-classpath commons-jexl1) commons-jexl-1.0.jar
#  mv ./engines/jexl/lib/commons-logging-1.0.3.jar ./engines/jexl/lib/commons-logging-1.0.3.jar.no
  ln -sf $(build-classpath commons-logging) commons-logging-1.0.3.jar
popd
%else
# TODO
%endif
pushd jep/lib
#  mv ./engines/jep/lib/Jama-1.0.2.jar ./engines/jep/lib/Jama-1.0.2.jar.no
  ln -sf $(build-classpath jama) Jama-1.0.2.jar
#  mv ./engines/jep/lib/ext-1.1.0.jar ./engines/jep/lib/ext-1.1.0.jar.no
  ln -sf $(build-classpath jep-ext) ext-1.1.0.jar
#  mv ./engines/jep/lib/jep-2.4.0.jar ./engines/jep/lib/jep-2.4.0.jar.no
  ln -sf $(build-classpath jep) jep-2.4.0.jar
popd
pushd jython/lib
#  mv ./engines/jython/lib/jython.jar ./engines/jython/lib/jython.jar.no
  ln -sf $(build-classpath jython) jython.jar
popd
pushd jacl/lib
#  mv ./engines/jacl/lib/tcljava.jar ./engines/jacl/lib/tcljava.jar.no
  ln -sf $(build-classpath jacl/tcljava) tcljava.jar
#  mv ./engines/jacl/lib/jacl.jar ./engines/jacl/lib/jacl.jar.no
  ln -sf $(build-classpath jacl/jacl) jacl.jar
popd
pushd jawk/lib
#  mv ./engines/jawk/lib/jawk.0_14.jar ./engines/jawk/lib/jawk.0_14.jar.no
  ln -sf $(build-classpath jawk) jawk.0_14.jar
#  mv ./engines/jawk/lib/jawk_ex.0_14.jar ./engines/jawk/lib/jawk_ex.0_14.jar.no
  ln -sf $(build-classpath jawk-jrt) jawk_ex.0_14.jar
popd
pushd freemarker/lib
#  mv ./engines/freemarker/lib/freemarker.jar ./engines/freemarker/lib/freemarker.jar.no
  ln -sf $(build-classpath freemarker) freemarker.jar
popd
pushd ognl/lib
#  mv ./engines/ognl/lib/ognl-2.6.9.jar ./engines/ognl/lib/ognl-2.6.9.jar.no
  ln -sf $(build-classpath ognl26) ognl-2.6.9.jar
popd
%if %with_velocity_engine
pushd velocity/lib
#  mv ./engines/velocity/lib/velocity-dep-1.5.jar ./engines/velocity/lib/velocity-dep-1.5.jar.no
  ln -sf $(build-classpath velocity) velocity-dep-1.5.jar
popd
%else
# TODO
%endif
pushd juel/lib
#  mv ./engines/juel/lib/juel-2.1.0-rc2.jar ./engines/juel/lib/juel-2.1.0-rc2.jar.no
  ln -sf $(build-classpath juel) juel-2.1.0-rc2.jar
popd
pushd pnuts/lib
#  mv ./engines/pnuts/lib/pnuts.jar ./engines/pnuts/lib/pnuts.jar.no
  ln -sf $(build-classpath pnuts) pnuts.jar
#  mv ./engines/pnuts/lib/pnuts-modules.jar ./engines/pnuts/lib/pnuts-modules.jar.no
  ln -sf $(build-classpath pnuts-modules) pnuts-modules.jar
popd
%if %with_jelly_engine
pushd jelly/lib
#  mv ./engines/jelly/lib/dom4j-1.5.2.jar ./engines/jelly/lib/dom4j-1.5.2.jar.no
  ln -sf $(build-classpath dom4j) dom4j-1.5.2.jar
#  mv ./engines/jelly/lib/commons-cli-1.0.jar ./engines/jelly/lib/commons-cli-1.0.jar.no
  ln -sf $(build-classpath commons-cli) commons-cli-1.0.jar
#  mv ./engines/jelly/lib/xml-apis-1.0.b2.jar ./engines/jelly/lib/xml-apis-1.0.b2.jar.no
#    ln -sf $(build-classpath xml-commons-jaxp-1.1-apis) xml-apis-1.0.b2.jar
  ln -sf $(build-classpath xml-commons-apis) xml-apis-1.0.b2.jar
#  mv ./engines/jelly/lib/servletapi-2.3.jar ./engines/jelly/lib/servletapi-2.3.jar.no
  ln -sf $(build-classpath servletapi4) servletapi-2.3.jar
#  mv ./engines/jelly/lib/commons-jexl-1.0.jar ./engines/jelly/lib/commons-jexl-1.0.jar.no
  ln -sf $(build-classpath commons-jexl1) commons-jexl-1.0.jar
#  mv ./engines/jelly/lib/jaxen-1.1-beta-4.jar ./engines/jelly/lib/jaxen-1.1-beta-4.jar.no
  ln -sf $(build-classpath jaxen) jaxen-1.1-beta-4.jar
#  mv ./engines/jelly/lib/commons-lang-2.0.jar ./engines/jelly/lib/commons-lang-2.0.jar.no
  ln -sf $(build-classpath commons-lang) commons-lang-2.0.jar
#  mv ./engines/jelly/lib/commons-discovery-20030211.213356.jar ./engines/jelly/lib/commons-discovery-20030211.213356.jar.no
  ln -sf $(build-classpath commons-discovery) commons-discovery-20030211.213356.jar
#  mv ./engines/jelly/lib/commons-logging-1.0.3.jar ./engines/jelly/lib/commons-logging-1.0.3.jar.no
  ln -sf $(build-classpath commons-logging) commons-logging-1.0.3.jar
#  mv ./engines/jelly/lib/junit-3.8.1.jar ./engines/jelly/lib/junit-3.8.1.jar.no
  ln -sf $(build-classpath junit) junit-3.8.1.jar
#  mv ./engines/jelly/lib/commons-collections-2.1.jar ./engines/jelly/lib/commons-collections-2.1.jar.no
  ln -sf $(build-classpath commons-collections) commons-collections-2.1.jar
#  mv ./engines/jelly/lib/commons-beanutils-1.6.jar ./engines/jelly/lib/commons-beanutils-1.6.jar.no
  ln -sf $(build-classpath commons-beanutils) commons-beanutils-1.6.jar
#  mv ./engines/jelly/lib/forehead-1.0-beta-5.jar ./engines/jelly/lib/forehead-1.0-beta-5.jar.no
  ln -sf $(build-classpath forehead) forehead-1.0-beta-5.jar
#  mv ./engines/jelly/lib/xerces-2.2.1.jar ./engines/jelly/lib/xerces-2.2.1.jar.no
  ln -sf $(build-classpath xerces-j2) xerces-2.2.1.jar
#  mv ./engines/jelly/lib/jstl-1.0.6.jar ./engines/jelly/lib/jstl-1.0.6.jar.no
  ln -sf $(build-classpath taglibs-core) jstl-1.0.6.jar
#  mv ./engines/jelly/lib/commons-jelly-1.0.jar ./engines/jelly/lib/commons-jelly-1.0.jar.no
  ln -sf $(build-classpath commons-jelly) commons-jelly-1.0.jar
#  mv ./engines/jelly/lib/commons-jelly-tags-dynabean-1.0.jar ./engines/jelly/lib/commons-jelly-tags-dynabean-1.0.jar.no
  ln -sf $(build-classpath jelly-tags/commons-jelly-tags-dynabean) commons-jelly-tags-dynabean-1.0.jar
#  mv ./engines/jelly/lib/commons-jelly-tags-xml-1.1.jar ./engines/jelly/lib/commons-jelly-tags-xml-1.1.jar.no
  ln -sf $(build-classpath jelly-tags/commons-jelly-tags-xml) commons-jelly-tags-xml-1.1.jar
#  mv ./engines/jelly/lib/commons-jelly-tags-define-1.0.jar ./engines/jelly/lib/commons-jelly-tags-define-1.0.jar.no
  ln -sf $(build-classpath jelly-tags/commons-jelly-tags-define) commons-jelly-tags-define-1.0.jar
#  mv ./engines/jelly/lib/commons-jelly-tags-util-1.1.1.jar ./engines/jelly/lib/commons-jelly-tags-util-1.1.1.jar.no
  ln -sf $(build-classpath jelly-tags/commons-jelly-tags-util) commons-jelly-tags-util-1.1.1.jar
#  mv ./engines/jelly/lib/commons-jelly-tags-interaction-1.0.jar ./engines/jelly/lib/commons-jelly-tags-interaction-1.0.jar.no
  ln -sf $(build-classpath jelly-tags/commons-jelly-tags-interaction) commons-jelly-tags-interaction-1.0.jar
#  mv ./engines/jelly/lib/commons-jelly-tags-junit-1.0.jar ./engines/jelly/lib/commons-jelly-tags-junit-1.0.jar.no
  ln -sf $(build-classpath jelly-tags/commons-jelly-tags-junit) commons-jelly-tags-junit-1.0.jar
#  mv ./engines/jelly/lib/commons-jelly-tags-bean-1.0.jar ./engines/jelly/lib/commons-jelly-tags-bean-1.0.jar.no
  ln -sf $(build-classpath jelly-tags/commons-jelly-tags-bean) commons-jelly-tags-bean-1.0.jar
#  mv ./engines/jelly/lib/commons-jelly-tags-log-1.0.jar ./engines/jelly/lib/commons-jelly-tags-log-1.0.jar.no
  ln -sf $(build-classpath jelly-tags/commons-jelly-tags-log) commons-jelly-tags-log-1.0.jar
#  mv ./engines/jelly/lib/commons-jelly-tags-fmt-1.0.jar ./engines/jelly/lib/commons-jelly-tags-fmt-1.0.jar.no
  ln -sf $(build-classpath jelly-tags/commons-jelly-tags-fmt) commons-jelly-tags-fmt-1.0.jar
#  mv ./engines/jelly/lib/commons-jelly-tags-swing-1.0.jar ./engines/jelly/lib/commons-jelly-tags-swing-1.0.jar.no
  ln -sf $(build-classpath jelly-tags/commons-jelly-tags-swing) commons-jelly-tags-swing-1.0.jar
popd
%else
# TODO
%endif
pushd jaskell/lib
#  mv ./engines/jaskell/lib/jaskell-1.0.jar ./engines/jaskell/lib/jaskell-1.0.jar.no
  ln -sf $(build-classpath jaskell) jaskell-1.0.jar
#  mv ./engines/jaskell/lib/jparsec.jar ./engines/jaskell/lib/jparsec.jar.no
  ln -sf $(build-classpath jparsec) jparsec.jar
#  mv ./engines/jaskell/lib/jfunutil.jar ./engines/jaskell/lib/jfunutil.jar.no
  ln -sf $(build-classpath jfunutil) jfunutil.jar
popd
%if %with_judo_engine
pushd judo/lib
# TODO
#  mv ./engines/judo/lib/judo.jar ./engines/judo/lib/judo.jar.no
popd
%else
%patch0 -p0
%endif
%if %with_jruby_engine
pushd jruby/lib
#  mv ./engines/jruby/lib/backport-util-concurrent.jar ./engines/jruby/lib/backport-util-concurrent.jar.no
  ln -sf $(build-classpath backport-util-concurrent) backport-util-concurrent.jar
#  mv ./engines/jruby/lib/asm-2.2.3.jar ./engines/jruby/lib/asm-2.2.3.jar.no
  ln -sf $(build-classpath asm2/asm2) asm-2.2.3.jar
#  mv ./engines/jruby/lib/jruby.jar ./engines/jruby/lib/jruby.jar.no
  ln -sf $(build-classpath jruby) jruby.jar
  ln -sf $(build-classpath jruby) bytelist.jar
popd

%else
%patch1 -p0
%endif

sed -i 's|<pathelement path="${java.home}/../jre/lib/plugin.jar" />|<pathelement path="%{_datadir}/icedtea-web/plugin.jar" />|' browserjs/make/build.xml

%build

ant -Djsr223.jar=$(build-classpath livetribe-jsr223 bytelist)

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/scripting-engines
%if %with_beanshell_engine
install -m 644 beanshell/build/bsh-engine.jar \
 %{buildroot}%{_javadir}/scripting-engines/bsh-engine-%{version}.jar
%add_to_maven_depmap javax.script bsh-engine %{version} JPP/scripting-engines bsh-engine
%endif
install -m 644 browserjs/build/browserjs-engine.jar \
 %{buildroot}%{_javadir}/scripting-engines/browserjs-engine-%{version}.jar
%add_to_maven_depmap javax.script browserjs-engine %{version} JPP/scripting-engines browserjs-engine
install -m 644 freemarker/build/freemarker-engine.jar \
 %{buildroot}%{_javadir}/scripting-engines/freemarker-engine-%{version}.jar
%add_to_maven_depmap javax.script freemarker-engine %{version} JPP/scripting-engines freemarker-engine
install -m 644 groovy/build/groovy-engine.jar \
 %{buildroot}%{_javadir}/scripting-engines/groovy-engine-%{version}.jar
%add_to_maven_depmap javax.script groovy-engine %{version} JPP/scripting-engines groovy-engine
install -m 644 jacl/build/jacl-engine.jar \
 %{buildroot}%{_javadir}/scripting-engines/jacl-engine-%{version}.jar
%add_to_maven_depmap javax.script jacl-engine %{version} JPP/scripting-engines jacl-engine
install -m 644 jaskell/build/jaskell-engine.jar \
 %{buildroot}%{_javadir}/scripting-engines/jaskell-engine-%{version}.jar
%add_to_maven_depmap javax.script jaskell-engine %{version} JPP/scripting-engines jaskell-engine
install -m 644 java/build/java-engine.jar \
 %{buildroot}%{_javadir}/scripting-engines/java-engine-%{version}.jar
%add_to_maven_depmap javax.script java-engine %{version} JPP/scripting-engines java-engine
%if %with_js_engine
install -m 644 javascript/build/js-engine.jar \
 %{buildroot}%{_javadir}/scripting-engines/js-engine-%{version}.jar
%add_to_maven_depmap javax.script js-engine %{version} JPP/scripting-engines js-engine
%endif
install -m 644 jawk/build/jawk-engine.jar \
 %{buildroot}%{_javadir}/scripting-engines/jawk-engine-%{version}.jar
%add_to_maven_depmap javax.script jawk-engine %{version} JPP/scripting-engines jawk-engine
%if %with_jelly_engine
install -m 644 jelly/build/jelly-engine.jar \
 %{buildroot}%{_javadir}/scripting-engines/jelly-engine-%{version}.jar
%add_to_maven_depmap javax.script jelly-engine %{version} JPP/scripting-engines jelly-engine
%endif
install -m 644 jep/build/jep-engine.jar \
 %{buildroot}%{_javadir}/scripting-engines/jep-engine-%{version}.jar
%add_to_maven_depmap javax.script jep-engine %{version} JPP/scripting-engines jep-engine
%if %with_jexl_engine
install -m 644 jexl/build/jexl-engine.jar \
 %{buildroot}%{_javadir}/scripting-engines/jexl-engine-%{version}.jar
%add_to_maven_depmap javax.script jexl-engine %{version} JPP/scripting-engines jexl-engine
%endif
%if %with_jruby_engine
install -m 644 jruby/build/jruby-engine.jar \
 %{buildroot}%{_javadir}/scripting-engines/jruby-engine-%{version}.jar
%add_to_maven_depmap javax.script jruby-engine %{version} JPP/scripting-engines jruby-engine
%endif
%if %with_judo_engine
install -m 644 judo/build/judo-engine.jar \
 %{buildroot}%{_javadir}/scripting-engines/judo-engine-%{version}.jar
%add_to_maven_depmap javax.script judo-engine %{version} JPP/scripting-engines judo-engine
%endif
install -m 644 juel/build/juel-engine.jar \
 %{buildroot}%{_javadir}/scripting-engines/juel-engine-%{version}.jar
%add_to_maven_depmap javax.script juel-engine %{version} JPP/scripting-engines juel-engine
install -m 644 jython/build/jython-engine.jar \
 %{buildroot}%{_javadir}/scripting-engines/jython-engine-%{version}.jar
%add_to_maven_depmap javax.script jython-engine %{version} JPP/scripting-engines jython-engine
install -m 644 ognl/build/ognl-engine.jar \
 %{buildroot}%{_javadir}/scripting-engines/ognl-engine-%{version}.jar
%add_to_maven_depmap javax.script ognl-engine %{version} JPP/scripting-engines ognl-engine
install -m 644 pnuts/build/pnuts-jsr223.jar \
 %{buildroot}%{_javadir}/scripting-engines/pnuts-jsr223-%{version}.jar
%add_to_maven_depmap javax.script pnuts-jsr223 %{version} JPP/scripting-engines pnuts-jsr223
install -m 644 scheme/build/scheme-engine.jar \
 %{buildroot}%{_javadir}/scripting-engines/scheme-engine-%{version}.jar
%add_to_maven_depmap javax.script scheme-engine %{version} JPP/scripting-engines scheme-engine
%if %with_velocity_engine
install -m 644 velocity/build/velocity-engine.jar \
 %{buildroot}%{_javadir}/scripting-engines/velocity-engine-%{version}.jar
%add_to_maven_depmap javax.script velocity-engine %{version} JPP/scripting-engines velocity-engine
%endif
install -m 644 xpath/build/xpath-engine.jar \
 %{buildroot}%{_javadir}/scripting-engines/xpath-engine-%{version}.jar
%add_to_maven_depmap javax.script xpath-engine %{version} JPP/scripting-engines xpath-engine
install -m 644 xslt/build/xslt-engine.jar \
 %{buildroot}%{_javadir}/scripting-engines/xslt-engine-%{version}.jar
%add_to_maven_depmap javax.script xslt-engine %{version} JPP/scripting-engines xslt-engine

(
  cd %{buildroot}%{_javadir}/scripting-engines
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_mavendepmapfragdir}/*
%dir %{_javadir}/scripting-engines

%if %with_beanshell_engine
%files bsh
%defattr(-,root,root)
%{_javadir}/scripting-engines/bsh-engine*.jar
%endif

%files browserjs
%defattr(-,root,root)
%{_javadir}/scripting-engines/browserjs-engine*.jar

%files freemarker
%defattr(-,root,root)
%{_javadir}/scripting-engines/freemarker-engine*.jar

%files groovy
%defattr(-,root,root)
%{_javadir}/scripting-engines/groovy-engine*.jar

%files jacl
%defattr(-,root,root)
%{_javadir}/scripting-engines/jacl-engine*.jar

%files jaskell
%defattr(-,root,root)
%{_javadir}/scripting-engines/jaskell-engine*.jar

%files java
%defattr(-,root,root)
%{_javadir}/scripting-engines/java-engine*.jar

%if %with_js_engine
%files js
%defattr(-,root,root)
%{_javadir}/scripting-engines/js-engine*.jar
%endif

%files jawk
%defattr(-,root,root)
%{_javadir}/scripting-engines/jawk-engine*.jar

%if %with_jelly_engine
%files jelly
%defattr(-,root,root)
%{_javadir}/scripting-engines/jelly-engine*.jar
%endif

%files jep
%defattr(-,root,root)
%{_javadir}/scripting-engines/jep-engine*.jar

%if %with_jexl_engine
%files jexl
%defattr(-,root,root)
%{_javadir}/scripting-engines/jexl-engine*.jar
%endif

%if %with_jruby_engine
%files jruby
%defattr(-,root,root)
%{_javadir}/scripting-engines/jruby-engine*.jar
%endif

%if %with_judo_engine
%files judo
%defattr(-,root,root)
%{_javadir}/scripting-engines/judo-engine*.jar
%endif

%files juel
%defattr(-,root,root)
%{_javadir}/scripting-engines/juel-engine*.jar

%files jython
%defattr(-,root,root)
%{_javadir}/scripting-engines/jython-engine*.jar

%files ognl
%defattr(-,root,root)
%{_javadir}/scripting-engines/ognl-engine*.jar

%files pnuts
%defattr(-,root,root)
%{_javadir}/scripting-engines/pnuts-jsr223*.jar

%files scheme
%defattr(-,root,root)
%{_javadir}/scripting-engines/scheme-engine*.jar

%if %with_velocity_engine
%files velocity
%defattr(-,root,root)
%{_javadir}/scripting-engines/velocity-engine*.jar
%endif

%files xpath
%defattr(-,root,root)
%{_javadir}/scripting-engines/xpath-engine*.jar

%files xslt
%defattr(-,root,root)
%{_javadir}/scripting-engines/xslt-engine*.jar



%changelog

* Thu Dec 01 2011 gil <gil> 1.0-1.mga2
+ Revision: 174832
- fix ognl26 link
- build fix
  used proper BR
- imported package jsr223-scripting-engines


* Sun Jun 05 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm